| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Public Member Functions | Data Fields
EasySMU_IOpanel Class Reference

The EasySMU_IOpanel class provides an interface between the EasySMU and a touchscreen. More...

## Detailed Description

The EasySMU_IOpanel class provides an interface between the EasySMU and a touchscreen.

User Guide
Schematic
Top-Level Linduino Firmware for EasySMU
EasySMU Class Reference
EasySMU_IOpanel Class Reference
EasySMU Webpage

Definition at line 221 of file EasySMU_IOpanel.h.

## Public Member Functions
void | Init ()
| Initialize the IO panel, including drawing buttons, etc. More...
int | CheckButton ()
| check if a button is pressed More...
void | DisplaySMULabel ()
| Draw the SMU labels. The selected channel will be green. More...
void | DisplayVoltageSourceSetting (int16_t channel, float flt_old, float flt_new)
| Draw the voltage source setting for a single channel. More...
void | DisplayMeasuredVoltage (int16_t channel, float flt_old, float flt_new)
| Draw the measured voltage for a single channel. More...
void | DisplayCurrentSourceSetting (int16_t channel, float flt_old, float flt_new, int8_t source_both_sink)
| Draw the current source setting for a single channel. More...
void | DisplayMeasuredCurrent (int16_t channel, float flt_old, float flt_new)
| Draw the measured current for a single channel. More...
void | DisplayTemperatureOfIadc (int16_t channel, float flt_old, float flt_new)
| Draw the measured temperature from the current ADC. Presently, not used as it clutters up the screen. More...
void | DisplayTemperatureOfVadc (int16_t channel, float flt_old, float flt_new)
| Draw the measured temperature from the voltage ADC. Presently, not used as it clutters up the screen. More...

## Data Fields
Adafruit_ILI9341 | lcd = Adafruit_ILI9341(TFT_CS, TFT_DC)
Adafruit_FT6206 | touchp = Adafruit_FT6206()
uint32_t | start_button_pressed_
| keep track of when the button was pressed to later calculate the duration it has been held More...
uint32_t | duration_button_pressed_
| stores a value corresponding to how long the button has been pressed More...
int | button_pressed_
| stores the value of the button pressed (from enum) More...
int | SMUselected_
| stores which SMU channel is selected on the TFT display More...
uint8_t | enabled_
| indicates if the TFT is enabled. More...

## Member Function Documentation

## ◆ CheckButton()

int16_t EasySMU_IOpanel::CheckButton | ( |  | ) |

check if a button is pressed

Returns
  the button pressed, based on enum

Definition at line 177 of file EasySMU_IOpanel.cpp.

## ◆ DisplayCurrentSourceSetting()

void EasySMU_IOpanel::DisplayCurrentSourceSetting | ( | int16_t | channel,
|  | float | flt_old,
|  | float | flt_new,
|  | int8_t | source_both_sink
| ) |  |

Draw the current source setting for a single channel.

Parameters

  flt_old | the old value to be overwitten in the background color
  flt_new | the new value to be drawn in the foreground color
  source_both_sink | If source only mode is set, a '+' will be drawn in front. If sink only mode is set, a '-' will be drawn in front.

Definition at line 440 of file EasySMU_IOpanel.cpp.

## ◆ DisplayMeasuredCurrent()

void EasySMU_IOpanel::DisplayMeasuredCurrent | ( | int16_t | channel,
|  | float | flt_old,
|  | float | flt_new
| ) |  |

Draw the measured current for a single channel.

Parameters

  flt_old | the old value to be overwitten in the background color
  flt_new | the new value to be drawn in the foreground color

Definition at line 475 of file EasySMU_IOpanel.cpp.

## ◆ DisplayMeasuredVoltage()

void EasySMU_IOpanel::DisplayMeasuredVoltage | ( | int16_t | channel,
|  | float | flt_old,
|  | float | flt_new
| ) |  |

Draw the measured voltage for a single channel.

Parameters

  flt_old | the old value to be overwitten in the background color
  flt_new | the new value to be drawn in the foreground color

Definition at line 348 of file EasySMU_IOpanel.cpp.

## ◆ DisplaySMULabel()

void EasySMU_IOpanel::DisplaySMULabel | ( |  | ) |

Draw the SMU labels. The selected channel will be green.

Definition at line 280 of file EasySMU_IOpanel.cpp.

## ◆ DisplayTemperatureOfIadc()

void EasySMU_IOpanel::DisplayTemperatureOfIadc | ( | int16_t | channel,
|  | float | flt_old,
|  | float | flt_new
| ) |  |

Draw the measured temperature from the current ADC. Presently, not used as it clutters up the screen.

Parameters

  flt_old | the old value to be overwitten in the background color
  flt_new | the new value to be drawn in the foreground color

Definition at line 376 of file EasySMU_IOpanel.cpp.

## ◆ DisplayTemperatureOfVadc()

void EasySMU_IOpanel::DisplayTemperatureOfVadc | ( | int16_t | channel,
|  | float | flt_old,
|  | float | flt_new
| ) |  |

Draw the measured temperature from the voltage ADC. Presently, not used as it clutters up the screen.

Parameters

  flt_old | the old value to be overwitten in the background color
  flt_new | the new value to be drawn in the foreground color

Definition at line 403 of file EasySMU_IOpanel.cpp.

## ◆ DisplayVoltageSourceSetting()

void EasySMU_IOpanel::DisplayVoltageSourceSetting | ( | int16_t | channel,
|  | float | flt_old,
|  | float | flt_new
| ) |  |

Draw the voltage source setting for a single channel.

Parameters

  channel | channel to draw
  flt_old | the old value to be overwitten in the background color
  flt_new | the new value to be drawn in the foreground color

Definition at line 318 of file EasySMU_IOpanel.cpp.

## ◆ Init()

void EasySMU_IOpanel::Init | ( |  | ) |

Initialize the IO panel, including drawing buttons, etc.

Definition at line 106 of file EasySMU_IOpanel.cpp.

## Field Documentation

## ◆ button_pressed_

int EasySMU_IOpanel::button_pressed_

stores the value of the button pressed (from enum)

Definition at line 265 of file EasySMU_IOpanel.h.

## ◆ duration_button_pressed_

uint32_t EasySMU_IOpanel::duration_button_pressed_

stores a value corresponding to how long the button has been pressed

Definition at line 261 of file EasySMU_IOpanel.h.

## ◆ enabled_

uint8_t EasySMU_IOpanel::enabled_

indicates if the TFT is enabled.

1=enabled, 0=disabled. (TFT may be disabled to reduce noise in the SMU output caused by SPI communication.)

Definition at line 267 of file EasySMU_IOpanel.h.

## ◆ lcd

Adafruit_ILI9341 EasySMU_IOpanel::lcd = Adafruit_ILI9341(TFT_CS, TFT_DC)

Definition at line 247 of file EasySMU_IOpanel.h.

## ◆ SMUselected_

int EasySMU_IOpanel::SMUselected_

stores which SMU channel is selected on the TFT display

Definition at line 266 of file EasySMU_IOpanel.h.

## ◆ start_button_pressed_

uint32_t EasySMU_IOpanel::start_button_pressed_

keep track of when the button was pressed to later calculate the duration it has been held

Definition at line 260 of file EasySMU_IOpanel.h.

## ◆ touchp

Adafruit_FT6206 EasySMU_IOpanel::touchp = Adafruit_FT6206()

Definition at line 250 of file EasySMU_IOpanel.h.

The documentation for this class was generated from the following files:

- EasySMU_IOpanel.h
- EasySMU_IOpanel.cpp